var wxml = require('../lib/wxml');

var input = `
<el-row class="tac" v-loading="loading" element-loading-text="拼命加载中">
	<!-- 左右布局开始 左边导航栏-->
	<el-col :span="4">
		<el-menu default-active="2" class="el-menu-vertical-demo">
			<el-menu-item index="1" v-on:click="zsdVisible = false;carManualVisible = true;currentItem = '车辆手册' "><i class="el-icon-menu"></i><span>车辆手册</span></el-menu-item>
			<el-menu-item index="2" v-on:click="zsdVisible = true;carManualVisible = false;currentItem = '指示灯'"><i class="el-icon-setting"></i><span>指示灯</span></el-menu-item>
		</el-menu>
	</el-col>
	<!-- 右边内容栏目 -->
	<el-col :span="20">
		<el-card class="box-card">
			<!-- 面包屑模块 -->
			<el-breadcrumb separator="/">
				<el-breadcrumb-item style="padding-left: 40px;">车辆管理</el-breadcrumb-item>
				<el-breadcrumb-item>{{currentItem}}</el-breadcrumb-item>
			</el-breadcrumb>
			<!-- 选择模块 -->
			<!--指示灯-->
			<el-row v-if="zsdVisible">
				<el-col :span="14">
					<div class="container" style="width: 100%;margin: 20px;">
						<!-- 上传模块 -->
						<el-upload class="upload-demo" drag action="https://jsonplaceholder.typicode.com/posts/" :before-upload="beforeUpload">
							<i class="el-icon-upload"></i>
							<div class="el-upload__text">将文件拖到此处，或<em>点击上传</em></div>
							<div class="el-upload__tip" slot="tip">
								上传格式为zip文件
								<a href="https://apigatewayqa.sgmlink.com:3301/middlePlatform/web/manual/downloadTemp" style="margin-left:206px;color: #58B7FF;">下载模板</a>
							</div>
						</el-upload>
						<el-button type="primary" size="large" v-on:click="onSubmit">提交</el-button>

					</div>
				</el-col>
				<el-col :span="10">
					<el-card style="margin-right: 20px;margin-top: 20px;">
						<div class="qr-content">
							<p>请扫描下方二维码预览</p>
							<qrcode :cls="qrOption.cls" :value="qrOption.value" :size=qrOption.size :padding=qrOption.padding :level="qrOption.level"></qrcode>
						</div>

					</el-card>
				</el-col>
			</el-row>
			<!--指示灯-->

			<!--车辆手册-->
			<div v-if="carManualVisible">
				<el-row :gutter="20">
					<el-col :span="6">
						<div><span label="手册名称">手册名称</span></div>
						<el-input v-model="manualName" placeholder="请输入手册名称"></el-input>
					</el-col>
					<el-col :span="6">
						<div><span label="车系">车系</span></div>
						<el-select v-model="seriesId" placeholder="请选择车系" v-on:change="chooseSeriesId">
							<el-option v-for="item in options" :label="item.name" :value="item.id">
							</el-option>
						</el-select>
					</el-col>
					<el-col :span="6">
						<div><span label="车型">车型</span></div>
						<el-select v-model="modelId" placeholder="请选择车型" v-on:change="chooseModelId">
							<el-option v-for="item in options1" :label="item.name" :value="item.id">
							</el-option>
						</el-select>
					</el-col>
					<el-col :span="6">
						<div><span label="配置">配置</span></div>
						<el-select v-model="packageId" placeholder="请选择配置">
							<el-option v-for="item in options2" :label="item.name" :value="item.id">
							</el-option>
						</el-select>
					</el-col>
				</el-row>
				<div class="block">
					<span class="wrapper">
			<el-button  v-on:click="searchCarManual()">查询</el-button>
			<el-button  v-on:click="addCarManualModal = true">增加</el-button>
			<el-button  v-on:click="deleteCarManual">删除</el-button>
		</span>
				</div>
				<!--表格-->
				<div>
					<el-table :data="tableData3" border style="width: 100%" @selection-change="handleSelectionChange">
						<el-table-column type="selection" width="55">
						</el-table-column>
						<el-table-column prop="createDate" label="日期" width="120">
						</el-table-column>
						<el-table-column prop="manualName" label="车辆手册名称" width="120">
						</el-table-column>
						<!--<el-table-column
      prop="brandId"
      label="品牌"
      width="120">
    </el-table-column>-->
						<el-table-column prop="seriesId" label="车系" width: "120">
						</el-table-column>
						<el-table-column prop="packageId" label="配置" width: "120">
						</el-table-column>
						<el-table-column prop="createBy" label="创建人" width: "120">
						</el-table-column>
						<el-table-column prop="updateDate" label="更新时间" width: "120">
						</el-table-column>
						<el-table-column label="操作">
							<template scope="scope">
								<el-button size="small" v-on:click="updateCarManualModal = true">更新</el-button>
							</template>
						</el-table-column>
					</el-table>
				</div>
				<!--分页-->
				<div class="block">
					<el-pagination @size-change="handleSizeChange" @current-change="handleCurrentChange" :current-page="currentPage" :page-size="8"
					 layout="total, prev, pager, next" :total="40">
					</el-pagination>
				</div>
				<!--分页-->
				<!--增加车辆手册信息弹出层-->
				<el-dialog title="增加车辆手册信息" v-model="addCarManualModal" class="addCarManualModal">
					<el-form :model="form">
						<el-row>
							<el-col :span="3"><span label="手册名称">手册名称</span></el-col>
							<el-col :span="12">
								<el-input v-model="addManualName" placeholder="请输入手册名称" class="form_el_input"></el-input>
							</el-col>
						</el-row>
						<el-row>
							<el-col :span="3"><span>车系</span></el-col>
							<el-col :span="12">
								<el-select v-model="seriesId1" placeholder="请选择车系" v-on:change="chooseSeriesId">
									<el-option v-for="item in options" :label="item.name" :value="item.id">
									</el-option>
								</el-select>
							</el-col>
						</el-row>
						<el-row>
							<el-col :span="3"><span>车型</span></el-col>
							<el-col :span="12">
								<el-select v-model="modelId1" placeholder="请选择车型" v-on:change="chooseModelId">
									<el-option v-for="item in options1" :label="item.name" :value="item.id">
									</el-option>
								</el-select>
							</el-col>
						</el-row>
						<el-row>
							<el-col :span="3"><span>配置</span></el-col>
							<el-col :span="12">
								<el-select v-model="packageId1" placeholder="请选择配置">
									<el-option v-for="item in options2" :label="item.name" :value="item.id">
									</el-option>
								</el-select>
							</el-col>
						</el-row>
						<el-row class="uploadRow">
							<el-col :span="8">
								<el-upload class="upload-demo" :before-upload="beforeUpload"  :on-change="handleFileChange"
								:headers="{ access_token:_access_token ,brand_id:_sccc }"
								:data="{ seriesId: seriesId1 , modelId: modelId1 , packageId: packageId1, manualName: addManualName, isDelete: 'false'}"
								:on-preview="handlePreview"  :file-list="addFileList"   drag action="https://apigatewayqa.sgmlink.com:3301/middlePlatform/web/manual/addManual">
									<i class="el-icon-upload"></i>
									<div class="el-upload__text">将文件拖到此处，或<em>点击上传</em></div>
									<div class="el-upload__tip" slot="tip">上传格式为zip文件</div>
								</el-upload>
							</el-col>
							<el-col>
								<div>
									<a href="https://apigatewayqa.sgmlink.com:3301/middlePlatform/web/manual/downloadTemp">下载模板</a>
								</div>
							</el-col>
							<!-- <el-button type="primary" size="large" v-on:click="onSubmit">提交</el-button> -->
						</el-row>
					</el-form>
					<div slot="footer" class="dialog-footer">
						<el-button v-on:click="addCarManualModal = false">取 消</el-button>
						<el-button type="primary" v-on:click="addCarManualModal = false;">完成</el-button>
					</div>
				</el-dialog>


				<!--增加车辆手册信息弹出层-->

				<!--更新车辆手册弹出层-->
				<el-dialog title="更新车辆手册" v-model="updateCarManualModal">
					<span>手册名称</span>
					<el-input v-model="input" placeholder="科帕奇 CDK"></el-input>
					<el-upload class="upload-demo" drag="" action="//jsonplaceholder.typicode.com/posts/" mutiple :before-upload="beforeUpload">
						<i class="el-icon-upload"></i>
						<div class="el-upload__text">将文件拖到此处，或<em>点击上传</em></div>
						<div class="el-upload__tip" slot="tip">
							上传格式为zip文件
							<a href=" " style="margin-left:206px;color: #58B7FF;">下载模板</a >
		  			</div>
		</el-upload>
		<div slot="footer" class="dialog-footer">
			<el-button v-on:click="updateCarManualModal = false">取 消</el-button>
			<el-button type="primary" v-on:click="updateCarManualModal = false;updateOk()">确 定</el-button>
		</div>
	</el-dialog>
	<!--更新车辆手册弹出层-->
	</div>
	<!--车辆手册-->
	</el-card>

  </el-col>
</el-row>
`;
wxml(input,function(err,output) {
  console.log(err);
  console.log(output);
});
