/**
 * @lzq
 * privatefunctions
 * 
 */


/**
 * @lzq
 * app.json  {}
 */
function globalConfig() {
    try {
        let globalAppJson = require('vueroot/app.json') || {}
        return globalAppJson.default ? globalAppJson.default : globalAppJson
    } catch (e) {
        return {}
    }
}

/**
 * @lzq
 * app.json  ->  pages:[]
 */
function getPageList() {
    let ret = []
    ret = globalConfig().pages || []
    return ret
}




/**
 * 
 * @lzq exports
 */

/**
 * @lzq
 * app.json  ->  advance:{}
 */
export function advanceAppConfig() {
    let ret = {}
    ret = globalConfig().advance || {}
    return ret
}

/**
 * @lzq
 * routers
 */

export function getAppRouters() {
    let ret = []

    const appPages = getPageList() || []
    let pageRouterItem;
    let pagePath = ''
    let defaultPage = ''

    for (let i = 0; i < appPages.length; i++) {
        pagePath = appPages[i].replace('pages/', '')

        let tmpI = require("promise-loader?bluebird!vueroot/pages/" + pagePath + ".vue")
        pageRouterItem = {
            path: `/${pagePath}`,
            component: tmpI,
            beforeEnter: (to, from, next) => {
                __WEVUE_GI.PAGEPATH = to.path
                next()
            }
        }
        /**
         * @lzq
         * 默认打开第一个页面
         */
        if (i === 0) {
            defaultPage = `/${pagePath}`
            ret.push({
                path: '/',
                redirect: defaultPage
            })
        }
        ret.push(pageRouterItem)
    }
    ret.push({
        path: '*', redirect: advanceAppConfig()["404Page"] || defaultPage
    })
    return ret
}

export function _clone(target) {
    return JSON.parse(JSON.stringify(target))
}